Package: groovy.org.codenarc.rule.design

## [Groovy] Class AbstractClassWithoutAbstractMethodRule

- groovy.org.codenarc.rule.design.AbstractClassWithoutAbstractMethodRule

- The abstract class does not contain any abstract methods. An abstract class suggests an incomplete implementation, which is to be completed by subclasses implementing the abstract methods. If the class is intended to be used as a base class only (not to be instantiated direcly) a protected constructor can be provided prevent direct instantiation.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority